; tuxtype.nsi
; NOTE: this .NSI script is designed for NSIS v1.8+

Name "Tux Typing"
OutFile "tuxtype-1.0.2-win32.exe"

; Some default compiler settings (uncomment and change at will):
; SetCompress auto ; (can be off or force)
; SetDatablockOptimize on ; (can be off)
; CRCCheck on ; (can be off)
; AutoCloseWindow false ; (can be true for the window go away automatically at end)
; ShowInstDetails hide ; (can be show to have them shown, or nevershow to disable)
; SetDateSave off ; (can be on to have files restored to their orginal date)

LicenseText 'This application is "Free-Software".' "Awesome!"
LicenseData "gpl.txt"
CRCCheck on

InstallDir "$PROGRAMFILES\tux4kids\tuxtype"
InstallDirRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Tux4Kids.org\Tux Typing" ""
DirShow show ; (make this hide to not let the user change it)
DirText "Select the directory to install Tux Typing in:"

Section "tuxtype.exe" ; (default section)
SetOutPath "$INSTDIR"
; add files / whatever that need to be installed here.
File /r "*.*"
WriteRegStr HKEY_LOCAL_MACHINE "SOFTWARE\Tux4Kids.org\Tux Typing" "" "$INSTDIR"
WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Tux Typing" "DisplayName" "Tux Typing (remove only)"
WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Tux Typing" "UninstallString" '"$INSTDIR\uninstall.exe"'
; write out uninstaller
WriteUninstaller "$INSTDIR\uninstall.exe"
SectionEnd ; end of default section

Section "Start Menu Shortcuts"
 CreateDirectory "$SMPROGRAMS\Tux4Kids\Tux Typing"
 CreateShortCut "$SMPROGRAMS\Tux4Kids\Tux Typing\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
 CreateShortCut "$SMPROGRAMS\Tux4Kids\Tux Typing\Tux Typing.lnk" "$INSTDIR\tuxtype.exe" "" "$INSTDIR\tuxtype.ico" 0
SectionEnd

; OPTIONAL Desktop Shortcut
Section "Desktop Shortcut"
 CreateShortCut "$DESKTOP\Tux Typing.lnk" "$INSTDIR\tuxtype.exe" "" "$INSTDIR\tuxtype.ico" 0
SectionEnd

; begin uninstall settings/section
UninstallText "This will uninstall Tux Typing 1.0.2 from your system."

Section Uninstall
; add delete commands to delete whatever files/registry keys/etc you installed here.
; remove files
Delete /REBOOTOK $INSTDIR\*.*
Delete /REBOOTOK $INSTDIR\data\*.*
Delete /REBOOTOK $INSTDIR\docs\en\*.*
Delete /REBOOTOK $INSTDIR\images\*.*
Delete /REBOOTOK $INSTDIR\sounds\*.*
RMDir /r $INSTDIR\data
RMDir /r $INSTDIR\images
RMDir /r $INSTDIR\sounds
RMDir /r $INSTDIR\docs\en
RMDir /r $INSTDIR\docs
Delete "$INSTDIR\uninst.exe"
RMDir /r $INSTDIR
DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Tux4Kids.org\Tux Typing"
DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Tux Typing"
; remove shortcuts, if any.
Delete "$SMPROGRAMS\Tux4Kids\Tux Typing\*.*"
RMDir "$SMPROGRAMS\Tux4Kids\Tux Typing"
Delete "$DESKTOP\Tux Typing.lnk"
RMDir /r "$INSTDIR"
SectionEnd ; end of uninstall section

; eof
